package org.yaoqiang.bpmn.engine.operation;

import org.yaoqiang.bpmn.engine.runtime.Execution;

/**
 * ExecutionOperation
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public interface ExecutionOperation {
	
	ExecutionOperation PROCESS_START = new ProcessStart();
	ExecutionOperation PROCESS_END = new ProcessEnd();
	ExecutionOperation FLOW_NODE_START = new FlowNodeStart();
	ExecutionOperation FLOW_NODE_EXECUTE = new FlowNodeExecute();
	ExecutionOperation FLOW_NODE_END = new FlowNodeEnd();
	ExecutionOperation SEQUENCE_FLOW_DESTROY_SCOPE = new SequenceFlowDestroyScope();
	ExecutionOperation SEQUENCE_FLOW_TAKE = new SequenceFlowTake();
	ExecutionOperation SEQUENCE_FLOW_CREATE_SCOPE = new SequenceFlowCreateScope();
	
	void execute(Execution execution);

}
