package org.yaoqiang.bpmn.model.elements.humaninteraction;

import org.yaoqiang.bpmn.model.elements.activities.Task;
import org.yaoqiang.bpmn.model.elements.core.common.FlowElements;

/**
 * ManualTask
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ManualTask extends Task {

	private static final long serialVersionUID = -914724667962159055L;

	public ManualTask(String name) {
		this((FlowElements) null);
		setName(name);
	}

	public ManualTask(FlowElements parent) {
		super(parent, "manualTask");
	}

}
